MBKGETENV(3)

NAME
mbkgetenv - get an environment variable

SYNOPSIS
#include MUT_H

char *mbkgetenv(const char *name);

DESCRIPTION
The mbkgetenv() function searches the environment list for a string that matches the string pointed to by name. The strings are of the form name = value.

RETURN VALUE
The mbkgetenv() function returns a pointer to the value in the environment, or NULL if there is no match. If MBK_TRACE_GETENV is set to "yes", mbkgetenv() will print debug info to stdout before thre real getenv() syscall is done.

SEE ALSO

mbk(1) MBK_TRACE_GETENV(1) getenv(3).